> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unyte.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# List all merchants

> Retrieve a list of all merchants on the platform



## OpenAPI

````yaml get /api/v1/merchants
openapi: 3.0.3
info:
  title: Superpool API
  version: 2.0.0
  description: >-
    Insurance infrastructure for Financial Institutions, Insurers, and
    Insurtechs
  contact:
    name: Unyte Africa LTD.
    url: https://ng.unyte.africa
    email: tech@unyte.com
servers: []
security: []
paths:
  /api/v1/merchants:
    get:
      tags:
        - Merchant
      summary: List all merchants
      description: Retrieve a list of all merchants on the platform
      operationId: v1_merchants_list
      parameters:
        - name: limit
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - name: offset
          required: false
          in: query
          description: The initial index from which to return the results.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedMerchantList'
          description: List of merchants
        '404':
          description: No merchants found.
        '500':
          description: Internal server error
      security:
        - ClientKeyAuth: []
components:
  schemas:
    PaginatedMerchantList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=400&limit=100
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=200&limit=100
        results:
          type: array
          items:
            $ref: '#/components/schemas/Merchant'
    Merchant:
      type: object
      description: Serializer for Merchant model
      properties:
        id:
          type: integer
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
        is_trashed:
          type: boolean
        trashed_at:
          type: string
          format: date-time
          nullable: true
        restored_at:
          type: string
          format: date-time
          nullable: true
        name:
          type: string
          title: Business Name
          description: The name of the business
          maxLength: 255
        short_code:
          type: string
          nullable: true
          title: Merchant Short code
          description: >-
            Unique short code indentifier used internally to identify a merchant
            or distributore.g. UBA-X224, GTB-3X2, KON-001, SLOT-001, WEMA-2286,
            etc.
          maxLength: 10
        business_email:
          type: string
          format: email
          nullable: true
          description: Company registration email address
          maxLength: 254
        support_email:
          type: string
          format: email
          nullable: true
          description: The contact email address of the business, for support if any
          maxLength: 254
        is_active:
          type: boolean
          description: Designates if the merchant is active
        tax_identification_number:
          type: string
          nullable: true
          title: TIN
          description: >-
            Unique tax identification number issued by federal or inland revenue
            service
          maxLength: 40
        registration_number:
          type: string
          nullable: true
          description: Government-issued registration number with the CAC
          maxLength: 40
        address:
          type: string
          nullable: true
          title: Business Address
          description: The physical address of the business
        kyc_verified:
          type: boolean
          description: Designates if the business has been verified by the platform
        tenant_id:
          type: string
          format: uuid
          readOnly: true
          nullable: true
          description: Unique identifier for the merchant in the system
        user:
          type: string
          format: uuid
          description: ID of the user
          nullable: true
      required:
        - created_at
        - id
        - name
        - tenant_id
        - updated_at
  securitySchemes:
    ClientKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````